/*
 * File......: FTTEXT.H
 * Author....: Brice de Ganahl
 * Date......: $Date:   14 Jun 1991 19:55:22  $
 * Revision..: $Revision:   1.1  $
 * Log file..: $Logfile:   E:/nanfor/src/fttext.h_v  $
 * 
 * This is an original work by Brice de Ganahl and is placed in the
 * public domain.
 *
 * Modification history:
 * ---------------------
 *
 * $Log:   E:/nanfor/src/fttext.h_v  $
 * 
 *    Rev 1.1   14 Jun 1991 19:55:22   GLENN
 * Minor edit to file header
 * 
 *    Rev 1.0   01 Apr 1991 01:03:06   GLENN
 * Nanforum Toolkit
 * 
 *
 */


#include "stdio.h"
#include "share.h"
#include "fcntl.h"

#define b_size     1024
#define c_size     4096

#ifndef SIZE_T
   #define SIZE_T
   typedef unsigned int size_t;
#endif

void pascal ft_fseek( void );
void pascal ft_fuse( void );
void pascal ft_fselect( void );
void pascal ft_fgotop( void );
void pascal ft_frecno( void );
void pascal ft_fgobot( void );
void pascal ft_fskip( void );
void pascal ft_freadln( void );
void pascal ft_flastrec( void );
void pascal ft_feof( void );
void pascal ft_fgoto( void );
long _ft_skip( int recs );

extern int  _tclose( int );
extern int  _tcreat( char*, int );
extern int  _terror;
extern long _tlseek( int, long, int );
extern int  _topen( char*, int );
extern int  _tread( int, char*, int );
extern int  _twrite( int, char*, int );
extern int  _tcommit( int );
